### Method

# GimpUi ProcedureDialog fill_flowbox_list

#### Declaration [src]

    GtkWidget*
    gimp_procedure_dialog_fill_flowbox_list (
      GimpProcedureDialog* dialog,
      const gchar* container_id,
      GList* properties
    )

#### Description [src]

Creates and populates a new `GtkFlowBox` with widgets corresponding to every listed `properties`. If the list is empty, the created flowbox will be filled by the whole list of properties of the associated `GimpProcedure`, in the defined order. This is similar of how `gimp_procedure_dialog_fill()` works except that it creates a new widget which is not inside `dialog` itself.

The `container_id` must be a unique ID which is neither the name of a property of the `GimpProcedureConfig` associated to `dialog`, nor is it the ID of any previously created container. This ID can later be used together with property names to be packed in other containers or inside `dialog` itself.

This method is renamed to `gimp_procedure_dialog_fill_flowbox()` in language bindings.

#### Parameters

`container_id`

  Type: `const gchar*`

  A container identifier.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`properties`

  Type: A list of `utf8`

  The list of property names.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

The `GtkFlowBox` representing `property`. The object belongs to `dialog` and must not be freed.

The returned data is owned by the instance.